# ApplicationFramework
TKLCAF
TDF

# TDF_AttributeMap Class Reference

`#include <TDF_AttributeMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_AttributeMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDF_AttributeMap & | Assign (const TDF_AttributeMap &Other)
TDF_AttributeMap & | operator= (const TDF_AttributeMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDF_AttributeMap ()
Standard_EXPORT Standard_Boolean | Add (const Handle(TDF_Attribute)&aKey)
Standard_EXPORT Standard_Boolean | Contains (const Handle(TDF_Attribute)&aKey) const
Standard_EXPORT Standard_Boolean | Remove (const Handle(TDF_Attribute)&aKey)

## Private Member Functions

Standard_EXPORT | TDF_AttributeMap (const TDF_AttributeMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDF_AttributeMap::TDF_AttributeMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDF_AttributeMap::~TDF_AttributeMap | ( |  | ) | `[inline]`

Standard_EXPORT TDF_AttributeMap::TDF_AttributeMap | ( | const TDF_AttributeMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TDF_AttributeMap::Add | ( | const Handle(TDF_Attribute)& | aKey | ) |

Standard_EXPORT TDF_AttributeMap& TDF_AttributeMap::Assign | ( | const TDF_AttributeMap & | Other | ) |

Standard_EXPORT void TDF_AttributeMap::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TDF_AttributeMap::Contains | ( | const Handle(TDF_Attribute)& | aKey | ) | const

void TDF_AttributeMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_AttributeMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_AttributeMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_AttributeMap& TDF_AttributeMap::operator= | ( | const TDF_AttributeMap & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean TDF_AttributeMap::Remove | ( | const Handle(TDF_Attribute)& | aKey | ) |

Standard_EXPORT void TDF_AttributeMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- TDF_AttributeMap.hxx